OracleInstance (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.db.oracle.OracleInstance interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.db.oracle
Interface OracleInstance

All Superinterfaces:
  AppServer, ConfigurationItem, DatabaseServer, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  MySAPOracleInstance

    public interface OracleInstance

extends DatabaseServer

Represents an Oracle Instance.

Naming Rules:
  0="host,home,SID" 1="hostname,home,SID"
Persistable:
  true
Top Level:
  true
Display Name:
  host,SID

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.AppServer
`IBM_COPYRIGHT, RUNNING, STOPPED`

Method Summary
`OracleBackgroundProcess[]` | `getBackgroundProcesses()`
`OracleDatabase` | `getDatabase()`
`java.lang.String` | `getHostname()`
`OracleServer` | `getParent()`
`int` | `getPort()`
`OracleServerProcess[]` | `getServerProcesses()`
`OracleSGAValue[]` | `getSGAValues()`
`java.lang.String` | `getSID()`
`boolean` | `hasBackgroundProcesses()`
`boolean` | `hasDatabase()`
`boolean` | `hasHostname()`
`boolean` | `hasParent()`
`boolean` | `hasPort()`
`boolean` | `hasServerProcesses()`
`boolean` | `hasSGAValues()`
`boolean` | `hasSID()`
`void` | `setBackgroundProcesses(OracleBackgroundProcess[] processes)`
`void` | `setDatabase(OracleDatabase db)`
`void` | `setHostname(java.lang.String hostname)`
`void` | `setParent(OracleServer parent)`
`void` | `setPort(int Port)`
`void` | `setServerProcesses(OracleServerProcess[] processes)`
`void` | `setSGAValues(OracleSGAValue[] sga)`
`void` | `setSID(java.lang.String SID)`

Methods inherited from interface com.collation.platform.model.topology.app.db.DatabaseServer
`getHome, hasHome, setHome`

Methods inherited from interface com.collation.platform.model.topology.app.AppServer
`getAppDescriptors, getConfigContents, getConfigFile, getContainers, getExecutable, getExecutableName, getHost, getKeyName, getModules, getName, getPrimarySAP, getProcessPools, getProductName, getProductVersion, getResources, getSoftwareInstallation, getStatus, getVendorName, getZReportFiles, hasAppDescriptors, hasConfigContents, hasConfigFile, hasContainers, hasExecutable, hasExecutableName, hasHost, hasKeyName, hasModules, hasName, hasPrimarySAP, hasProcessPools, hasProductName, hasProductVersion, hasResources, hasSoftwareInstallation, hasStatus, hasVendorName, hasZReportFiles, setAppDescriptors, setConfigContents, setConfigFile, setContainers, setExecutable, setExecutableName, setHost, setKeyName, setModules, setName, setPrimarySAP, setProcessPools, setProductName, setProductVersion, setResources, setSoftwareInstallation, setStatus, setVendorName, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getParent

    OracleServer getParent()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(OracleServer parent)

### hasParent

    boolean hasParent()

### getBackgroundProcesses

    OracleBackgroundProcess[] getBackgroundProcesses()
                                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setBackgroundProcesses

    void setBackgroundProcesses(OracleBackgroundProcess[] processes)

### hasBackgroundProcesses

    boolean hasBackgroundProcesses()

### getServerProcesses

    OracleServerProcess[] getServerProcesses()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setServerProcesses

    void setServerProcesses(OracleServerProcess[] processes)

### hasServerProcesses

    boolean hasServerProcesses()

### getSGAValues

    OracleSGAValue[] getSGAValues()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setSGAValues

    void setSGAValues(OracleSGAValue[] sga)

### hasSGAValues

    boolean hasSGAValues()

### getSID

    java.lang.String getSID()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSID

    void setSID(java.lang.String SID)

### hasSID

    boolean hasSID()

### getHostname

    java.lang.String getHostname()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setHostname

    void setHostname(java.lang.String hostname)

### hasHostname

    boolean hasHostname()

### getPort

    int getPort()
                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPort

    void setPort(int Port)

### hasPort

    boolean hasPort()

### getDatabase

    OracleDatabase getDatabase()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setDatabase

    void setDatabase(OracleDatabase db)

### hasDatabase

    boolean hasDatabase()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD